@echo off
echo 注册FSO组件
if exist %windir%\System32\scrrun.dll (regsvr32 scrrun.dll /s) else echo scrrun.dll不在存，请下载http://www.Ls-zone.cn/DllAndOcxFile/Scrrun.rar,并解压到%windir%\System32下面
echo 注册VBS组件
if exist %windir%\System32\VBScript.dll (regsvr32 VBScript.dll /s) else echo VBScript.dll不在存，请下载http://www.Ls-zone.cn/DllAndOcxFile/VBScript.rar,并解压到%windir%\System32下面
echo 注册XMLHTTP组件
if exist %windir%\System32\msxml2.dll (regsvr32 msxml2.dll /s) else echo msxml2.dll不在存，请下载http://www.Ls-zone.cn/DllAndOcxFile/MSXML2.rar,并解压到%windir%\System32下面
echo 注册MSScript组件
if exist %windir%\System32\msscript.ocx (regsvr32 msscript.ocx /s) else echo msscript.ocx不在存，请下载http://www.Ls-zone.cn/DllAndOcxFile/msscript.rar,并解压到%windir%\System32下面
echo 注册MDAC 2.8组件
if exist "%commonprogramfiles%\System\ado\msado15.dll" (regsvr32 "%commonprogramfiles%\System\ado\msado15.dll" /s) else echo msado15.dll不存在，请自行安装MDAC 2.8
echo 注册COMDLG32.OCX
regsvr32 COMDLG32.OCX /s
echo 注册MSWINSCK.ocx
regsvr32 MSWINSCK.ocx /s
echo 注册MSCOMCTL.OCX
regsvr32 MSCOMCTL.OCX /s
echo 组件注册完成.
echo 请按任意键关闭窗口
pause
exit